﻿using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Snapshot;
using Hotline.Snapshot.IRepository;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Snapshot;

public class SnapshotPointsRecordRepository : BaseRepository<SnapshotPointsRecord>, ISnapshotPointsRecordRepository, IScopeDependency
{
    public SnapshotPointsRecordRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
    {
    }

    public async Task<IList<SnapshotPointsRecord>> GetByOrderIdAsync(string orderId, CancellationToken token)
    {
        return await Queryable().Where(m => m.OrderId == orderId).ToListAsync(token);
    }
}
