﻿using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Snapshot;
using Hotline.Snapshot.IRepository;
using MediatR;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Snapshot;
public class SpecialRedPackAuditRepository : BaseRepository<SpecialRedPackAudit>, ISpecialRedPackAuditRepository, IScopeDependency
{
    public SpecialRedPackAuditRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
    {
    }

    public bool ExistByOrderId(string orderId)
    {
        return Queryable().Where(m => m.OrderId == orderId).Any();
    }
}
