﻿using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Snapshot;

public class PointsDto
{
}

public class UpdateIsSecurityMaxAsync
{
    /// <summary>
    /// 用户Id
    /// </summary>
    [Required]
    public string UserId { get; set; }

    /// <summary>
    /// 是否安全卫士
    /// </summary>
    [Required]
    public bool IsSecurityMax { get; set; }
}

public record PointsItemsInDto : PagedKeywordRequest
{
    /// <summary>
    /// 联系方式
    /// </summary>
    public string? PhoneNumber { get; set; }
}

public class PointsItemsOutDto
{
    /// <summary>
    /// 联系方式
    /// </summary>
    public string PhoneNumber { get; set; }

    /// <summary>
    /// 姓名
    /// </summary>
    public string UserName { get; set; }

    /// <summary>
    /// 总积分
    /// </summary>
    public int TotalPoints { get; set; }

    /// <summary>
    /// 已兑换积分
    /// </summary>
    public int OutPoints { get; set; }

    /// <summary>
    /// 当前可用积分
    /// </summary>
    public int ValidPoints => TotalPoints - OutPoints;

    /// <summary>
    /// 已使用积分
    /// </summary>
    [JsonIgnore]
    [Newtonsoft.Json.JsonIgnore]
    public int OutTotalPoint { get; set; }

    /// <summary>
    /// 排名
    /// </summary>
    public int Rank { get; set; }

    /// <summary>
    /// 是否安全卫士
    /// </summary>
    public bool IsSecurityMax { get; set; }

    [JsonIgnore]
    [Newtonsoft.Json.JsonIgnore]
    public int InTotalPoint { get; set; }
}

