﻿using Hotline.Share.Dtos.File;
using Hotline.Share.Enums.Article;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.File;
public interface IFileDomainService
{
    /// <summary>
    /// 根据URL下载网络文件并上传到 fs 服务器
    /// </summary>
    /// <param name="file"></param>
    /// <param name="key">业务Id</param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<string> GetNetworkFileAsync(string file, string key, CancellationToken cancellationToken = default);

    Task<FileJson> UploadFileFromMemoryAsync(Stream fileStream, string fileName, EFileType fileType);
}

