﻿using Hotline.Settings;
using MediatR;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Entities;

namespace Hotline.SeedData;
public class SystemDicDataSeedData : ISeedData<SystemDicData>
{
    public IEnumerable<SystemDicData> HasData()
    {
        return new List<SystemDicData>();
    }

    public IEnumerable<SystemDicData> GetData(string dicTypeCode)
    {
        if (dicTypeCode == SysDicTypeConsts.XingTangOperationMap)
        {
            return [
                new() { Id = "08dd5248-5553-4c59-880d-3ddd35a32b09", DicDataValue = "16", DicDataName = "0", Sort = 1},
                new() { Id = "08dd5248-52d9-4330-8e59-111a225006ba", DicDataValue = "0", DicDataName = "100", Sort = 2},
                new() { Id = "08dd5192-3b06-4705-818d-cbdbf38d3e6b", DicDataValue = "1", DicDataName = "301", Sort = 3},
                new() { Id = "08dd5191-8539-4436-8f25-1af26a368589", DicDataValue = "2", DicDataName = "202", Sort = 4},
                new() { Id = "08dd5190-c854-462b-8ee8-ac45ad30b1dc", DicDataValue = "3", DicDataName = "200", Sort = 5},
                new() { Id = "08dd5190-c185-4ac9-8ef5-e9ab9f8781aa", DicDataValue = "17", DicDataName = "303", Sort = 6},
                new() { Id = "08dd5190-3fbb-4156-864e-9ebbe46b498e", DicDataValue = "30", DicDataName = "400", Sort = 7},
                ];
        }
        if (dicTypeCode == SysDicTypeConsts.SnapshotRedPackSpecialType)
        {
            return [
                new() {  Id = "08dd4bf7-b7c6-471b-8ee5-deb5a1c4776a", DicDataValue = "dqh", DicDataName = "电气焊类", Sort = 1},
                new() {  Id = "08dd4bf7-b7ab-4729-80b2-b2c5db5d221c", DicDataValue = "qp", DicDataName = "气瓶类", Sort = 2},
                new() {  Id = "08dd4bf7-b352-4b52-8a96-78f73197c22e", DicDataValue = "dde", DicDataName = "电动车类", Sort = 3},
                new() {  Id = "08dd4bf7-b349-48ea-8f54-fb8b29070fa3", DicDataValue = "xftd", DicDataName = "消防通道", Sort = 4},
                ];
        }
        if (dicTypeCode == SysDicTypeConsts.SnapshotOrderLabel)
        {
            return [
                new() {  Id = "08dd289c-4f58-4708-8e6c-ddf2b4c1a3f4", DicDataValue = "bss", DicDataName = "不属实", Sort = 1},
                new() {  Id = "08dd289b-a742-4622-8831-0fba6c8233de", DicDataValue = "waqyh", DicDataName = "无安全隐患", Sort = 2},
                new() {  Id = "08dd287f-a17b-4404-809c-4b9e8cfaee52", DicDataValue = "hg", DicDataName = "合规", Sort = 3},
                new() {  Id = "08dd287e-9cb5-4587-814f-1dbb0ab7c776", DicDataValue = "bhg", DicDataName = "不合规", Sort = 4},
                new() {  Id = "08dd287d-fa29-4a2d-82cd-fae7c4ab1612", DicDataValue = "jdhfj", DicDataName = "阶段回复件", Sort = 5},
                new() {  Id = "08dd287d-f8a5-490f-8894-3a8f25d27258", DicDataValue = "lszg", DicDataName = "临时整改件", Sort = 6},
                new() {  Id = "08dd287d-1e60-4adf-818a-ead50eb5a8c9", DicDataValue = "ss", DicDataName = "属实", Sort = 7},
                new() {  Id = "08dd287c-69a4-4c92-899b-3fe7aa8503af", DicDataValue = "yzg", DicDataName = "已整改", Sort = 8},
                new() {  Id = "08dd287b-2a33-46d6-874c-7ec64dc219e0", DicDataValue = "wzg", DicDataName = "未整改", Sort = 9},
                new() {  Id = "08dd287b-173e-4fb9-8a51-29eb86674322", DicDataValue = "cxj", DicDataName = "撤销件", Sort = 10},
                new() {  Id = "08dd287b-0b65-450e-8c01-89bda5e03552", DicDataValue = "cfj", DicDataName = "重复件", Sort = 11},
                new() {  Id = "08dd287a-e5b4-4c39-8bb8-a207a38f3321", DicDataValue = "qt", DicDataName = "其它", Sort = 12},
                new() {  Id = "08dd287a-a8f5-4aca-8daa-3e376f0daa16", DicDataValue = "bmd", DicDataName = "白名单", Sort = 13},
                new() {  Id = "08dd287a-6c5c-47e2-8643-2a5c40d31991", DicDataValue = "zdyh", DicDataName = "重大隐患", Sort = 14},
                ];
        }
        if (dicTypeCode == SysDicTypeConsts.SnapshotReplenishType)
        {
            return [
                new() { Id = "08dd1f12-9e6c-434f-81f1-076acb2ea7f4", DicDataValue = "1", DicDataName = "一般补充金额", Sort = 1},
                new() { Id = "08dd1f12-90f9-48a1-809a-8ea252284a52", DicDataValue = "2", DicDataName = "15%行政处罚奖励", Sort = 2}
                ];
        }
        if (dicTypeCode == SysDicTypeConsts.SnapshotBulletinSource)
        {
            return [
                new() { Id = "08dcc33d-91a1-4a69-8262-7d058681f266", DicDataValue = "1", DicDataName = "自建", Sort = 1},
                new() { Id = "08dd0eca-66b8-4c98-8dec-0c76c29d77e3", DicDataValue = "2", DicDataName = "外部", Sort = 2},
                ];
        }
        if (dicTypeCode == SysDicTypeConsts.Workplace)
        {
            return
            [
                new() {Id="08dc39be-c7f1-44ae-878c-eaffb30b902c", DicDataValue = "宾馆、饭店、商场、市场", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "宾馆、饭店、商场、市场", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c665-4d40-8482-c8f5540e8ca2", DicDataValue = "学校、体育馆、校外培训机构", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "学校、体育馆、校外培训机构", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c655-4a4b-82c5-494827588653", DicDataValue = "医院", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "医院", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c648-4e03-804a-f01c8c86b2b9", DicDataValue = "养老院、福利院", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "养老院、福利院", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c63c-4931-8a53-abd5fd0db818", DicDataValue = "文化、娱乐、旅游场所", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "文化、娱乐、旅游场所", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c63b-40ca-8c1e-287a8cc48de4", DicDataValue = "宗教场所", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "宗教场所", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c635-468f-871e-bb70008c7822",  DicDataValue = "车站、码头、高铁站候车（船）厅、汽修企业", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "车站、码头、高铁站候车（船）厅、汽修企业", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c62d-4f37-83bf-845f77d45cd9", DicDataValue = "化工、民爆物品生产经营企业", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "化工、民爆物品生产经营企业", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c5d9-44fa-8a4d-62979927c932", DicDataValue = "机械、建材、纺织、服装生产企业", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "机械、建材、纺织、服装生产企业", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c5c9-4f57-8df6-22a8b54927bc", DicDataValue = "仓库、冷库、废品回收场所", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "仓库、冷库、废品回收场所", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c5b7-4529-8ea1-d555c321951c", DicDataValue = "物业服务、居民住宅装饰装修、小型商铺", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "物业服务、居民住宅装饰装修、小型商铺", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c5a8-4045-860a-966e7a41d967", DicDataValue = "电梯加装、拆除", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "电梯加装、拆除", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c592-483b-84bc-8b0bc177db54", DicDataValue = "煤矿、非煤矿山、小生产加工企业", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "煤矿、非煤矿山、小生产加工企业", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-bcf8-4f2d-8495-98f3648309e7", DicDataValue = "水、电、气生产、管网维修，污水处理场所", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "水、电、气生产、管网维修，污水处理场所", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
            ];
        }
        if (dicTypeCode == SysDicTypeConsts.WorkplaceName)
        {
            return
            [
                    new(){Id = "08dc39c1-6ba2-4f53-87e9-a229687bbd10", DicDataValue = "nspla", DicDataName = "九小场所", Children = [
                            new() {Id = "08dc39c1-6eef-4858-8ad1-ef15fe4a7ee4", DicDataValue = "nspla_sshop", DicDataName = "小商店"},
                            new() {Id = "08dc39c1-6fbc-4431-8238-f3d77609faa2", DicDataValue = "nspla_sdest", DicDataName = "小餐饮"},
                            new() {Id = "08dc39c1-92ee-4a39-8e28-46ae40698570", DicDataValue = "nspla_ashotel", DicDataName = "小旅店"},
                            new() {Id = "08dc39c1-96df-4057-8460-5b65c647986a", DicDataValue = "nspla_ssadev", DicDataName = "小歌舞娱乐"},
                            new() {Id = "08dc39c1-99ed-4023-85a7-60f68c9090ea", DicDataValue = "nspla_sinca", DicDataName = "小网吧"},
                            new() {Id = "08dc39c1-a3ce-4c64-8099-ba30142687f9", DicDataValue = "nspla_bathe", DicDataName = "小美容洗浴"},
                            new() {Id = "08dc39c1-b23d-4672-835c-fe188b281ef3", DicDataValue = "nspla_garten", DicDataName = "小型学校(幼儿园)"},
                            new() {Id = "08dc39c1-b55e-45ec-8310-2ceba78e5f9e", DicDataValue = "nspla_shosp", DicDataName = "小型医疗机构"},
                            new() {Id = "08dc39c1-b9ea-4eac-88d6-8340338ead8a", DicDataValue = "nspla_spape", DicDataName = "小生产加工企业"}
                        ] },
                    new() { Id = "08dc39c1-be7e-4b7e-82b0-bf47f1cecf7d", DicDataValue = "mimbp", DicDataName = "多业态混合经营场所", Children = [
                            new() {Id = "08dc3bf7-e15e-4e50-82b0-be8a7f5f68ae", DicDataValue = "mimbp_restaurant", DicDataName = "餐饮"},
                            new() {Id = "08dc3bf7-e3a0-489b-8cfb-f4aca9ce4bdd", DicDataValue = "mimbp_stay", DicDataName = "住宿"},
                            new() {Id = "08dc39c1-6bb7-473c-8a4e-f84028cf3a15", DicDataValue = "mimbp_trade", DicDataName = "商业"},
                            new() {Id = "08dc39c1-6ef1-428a-85a5-a0933dcc1ae8", DicDataValue = "mimbp_game", DicDataName = "娱乐"},
                            new() {Id = "08dc39c1-6efd-4084-8623-e1b0c4484735", DicDataValue = "mimbp_sport", DicDataName = "体育"},
                            new() {Id = "08dc39c1-6f5a-48c6-8b53-07ad70e9588d", DicDataValue = "mimbp_culture", DicDataName = "文化"},
                            new() {Id = "08dc39c1-6fa5-4413-8840-e62a9da7b883", DicDataValue = "mimbp_train", DicDataName = "培训"},
                            new() {Id = "08dc39c1-893c-4be7-8016-28560096e8dd", DicDataValue = "mimbp_storage", DicDataName = "仓储"},
                            new() {Id = "08dc39c1-912b-410e-8c64-6b0bcbb56cca", DicDataValue = "mimbp_sublease", DicDataName = "转租形成生产场所"},
                            new() {Id = "08dc39c1-95c5-4e41-8d3c-b3d1db0ee16d", DicDataValue = "mimbp_sublet", DicDataName = "分租场所"},
                            new() {Id = "08dc39c1-9776-4819-8820-7e0c0dce519e", DicDataValue = "mimbp_store", DicDataName = "存储多种功能的劳动密集型企业"}
                        ] },
                    new() { Id = "08dc39c1-98d2-476d-83a9-2f3844acd083", DicDataValue = "assocc", DicDataName = "人员密集场所", Children = [
                            new() {Id = "08dc39c1-9eee-44f2-8909-f96d68743bb1", DicDataValue = "assocc_hot", DicDataName = "饭店"},
                            new() {Id = "08dc39c1-a9ce-4525-8070-5dd822c8fcd8", DicDataValue = "assocc_restaurant", DicDataName = "餐饮场所"},
                            new() {Id = "08dc39c1-b213-42b0-8956-c9d24c1ee92a", DicDataValue = "assocc_mall", DicDataName = "商场"},
                            new() {Id = "08dc39c1-b22c-4452-8f59-c5074b980c56", DicDataValue = "assocc_hotel", DicDataName = "宾馆"},
                            new() {Id = "08dc39c1-b2bf-4d4d-870f-b0e4dfedda7c", DicDataValue = "assocc_market", DicDataName = "集贸市场"},
                            new() {Id = "08dc39c1-91fc-4f02-845b-2d327e9897a9", DicDataValue = "assocc_theatre", DicDataName = "影剧院"},
                            new() {Id = "08dc39c1-9801-4670-8f55-c91f86cb9d14", DicDataValue = "assocc_playhouse", DicDataName = "录像厅"},
                            new() {Id = "08dc39c1-98ff-4fd1-81b2-50c213ad40a8", DicDataValue = "assocc_ballroom", DicDataName = "舞厅"},
                            new() {Id = "08dc39c1-9ef2-458d-82ad-6d62be526649", DicDataValue = "assocc_carla", DicDataName = "卡拉OK厅"},
                            new() {Id = "08dc39c1-a9da-490d-8ef5-34e3f672057c", DicDataValue = "assocc_nightclub", DicDataName = "夜总会"}
                        ] },
                    new() { Id = "08dc39c1-b24f-4cdd-885d-c27b9872f530", DicDataValue = "vflsme", DicDataName = "大型群众性活动举办场所", Children = [
                            new() {Id = "08dc39c1-b2ce-4536-814e-120d29a31c6a", DicDataValue = "vflsme_aafhlsme", DicDataName = "大型礼堂"},
                            new() {Id = "08dc39c1-c57a-49aa-882b-273d4bc18998", DicDataValue = "vflsme_meetingplace", DicDataName = "大型会场"},
                            new() {Id = "08dc39c1-c66b-44e7-8900-61d427c38fa4", DicDataValue = "vflsme_stadium", DicDataName = "大型体育场馆"}
                            ] }
                 ];
        }
        if (dicTypeCode == SysDicTypeConsts.JobType)
        {
            return [
                new() { Id = "08dc3c1e-470f-4a7d-8433-3fed9bb59c95", DicDataValue = "0", DicDataName = "电焊"},
                new() { Id = "08dc3cc4-aa8b-41ad-8807-ba1571e00628", DicDataValue = "1", DicDataName = "气割"},
                ];
        }
        if (dicTypeCode == SysDicTypeConsts.BusinessUnitType)
        {
            return [
                new() { Id = "08dc39c1-c682-465e-8fae-9c8aa24d6c1f", DicDataValue = "qiye", DicDataName = "企业"},
                new() { Id = "08dc39c1-f1f8-4717-8b03-9d562884c8f9", DicDataValue = "geren", DicDataName = "个人" }
                ];
        }
        if (dicTypeCode == SysDicTypeConsts.SnapshotBulletinType)
        {
            return [
                new() { Id = "08dc0681-af58-458b-82c8-5e2eb67cf8dd", DicDataValue = "1", DicDataName = "电气焊作业申报操作指引", Sort = 1 },
                new() { Id = "08dc0681-bda0-481e-88b0-1182c7a6c819", DicDataValue = "2", DicDataName = "文化旅游宣传学习", Sort = 2 },
                new() { Id = "08dc0681-bf51-4715-8a10-2566c5152641", DicDataValue = "3", DicDataName = "文化旅游操作指引", Sort = 3 },
                new() { Id = "08dc0681-bf56-4574-81c8-d2a570a2e41b", DicDataValue = "4", DicDataName = "交通管理设施隐患宣传学习", Sort = 4 },
                new() { Id = "08dc0681-bf57-400e-88fc-c23288c7cc80", DicDataValue = "5", DicDataName = "交通管理设施隐患操作指引", Sort = 5 },
                new() { Id = "08dc0681-bf69-41e5-8bac-ef2799cb79bb", DicDataValue = "6", DicDataName = "宣传学习民生实事", Sort = 6 },
                new() { Id = "08dc0681-bf85-4779-84ea-e6629a004e63", DicDataValue = "7", DicDataName = "民生实事操作指引", Sort = 7 },
                new() { Id = "08dc0681-bf8c-42c9-81c5-3765d11a21f5", DicDataValue = "8", DicDataName = "宣传学习好人好事", Sort = 8 },
                new() { Id = "08dc0681-d32d-4c86-8f05-9a117950f528", DicDataValue = "9", DicDataName = "好人好事操作指引", Sort = 9 },
                new() { Id = "08dc0681-d4f4-49a8-8d34-7b3786ccae6f", DicDataValue = "10", DicDataName = "宣传学习市场监管", Sort = 10 },
                new() { Id = "08dc0681-d583-49bc-8f4b-4b7be0d0104b", DicDataValue = "11", DicDataName = "市场监管操作指引", Sort = 11 },
                new() { Id = "08dc0681-db09-4002-8a4d-eb8a2a428b39", DicDataValue = "12", DicDataName = "宣传学习环境保护", Sort = 12 },
                new() { Id = "08dc0681-dec9-475c-88a1-4791c532f5b9", DicDataValue = "13", DicDataName = "环境保护操作指引", Sort = 13 },
                new() { Id = "08dc0681-e145-4ef1-8fbf-25e52e316cf8", DicDataValue = "14", DicDataName = "宣传学习城市管理", Sort = 14 },
                new() { Id = "08dc0681-e9e1-493b-889d-3a238c2dde39", DicDataValue = "15", DicDataName = "城市管理操作指引", Sort = 15 },
                new() { Id = "08dc0681-ed2e-40bb-829b-c8ee518b3229", DicDataValue = "16", DicDataName = "宣传学习安全隐患", Sort = 16 },
                new() { Id = "08dc0681-ee29-4624-865c-58d5d9667c92", DicDataValue = "17", DicDataName = "安全隐患操作指引", Sort = 17 },
                new() { Id = "08dd6a95-9d0d-4ffd-82f6-0037ced40215", DicDataValue = "SSPBanner", DicDataName = "随手拍Banner", Sort = 18 },
                ];
        }
        if (dicTypeCode == SysDicTypeConsts.ExtraDeductionPointsType)
        {
            return [
                new() { Id = "08dd6061-ec08-48ba-8768-fa962a107b6c", DicDataValue = "xjjb", DicDataName = "虚假举报", Sort = 1},
                new() { Id = "08dd6060-a4e4-498f-8a38-a512e57d591e", DicDataValue = "eysjf", DicDataName = "恶意刷积分", Sort = 2},
                new() { Id = "08dd6061-faed-413f-8c87-c24b59e86496", DicDataValue = "qt", DicDataName = "其他", Sort = 3},
                ];
        }

        throw new NotImplementedException();
    }

    public SystemDicType GetType(string dicTypeCode)
    {
        var dicType = new string[2];
        if (dicTypeCode == SysDicTypeConsts.ExtraDeductionPointsType)
        { 
            dicType = ["08dd6aae-e949-401d-8e44-2baf4b59fcf4", "额外扣除积分类型"];
        }
        if (dicTypeCode == SysDicTypeConsts.SnapshotOrderLabel)
        {
            dicType = ["08dd1fdb-4c32-4464-83a4-b61afa1e624a", "随手拍工单标签"];
        }
        if (dicTypeCode == SysDicTypeConsts.Workplace)
        {
            dicType = ["08dc39be-d203-460c-868e-46b7132e35b5", "作业场所"];
        }
        if (dicTypeCode == SysDicTypeConsts.WorkplaceName)
        {
            dicType = ["08dc3bf7-e134-47d6-8784-0bdbbc0e67df", "场所名称"];
        }
        if (dicTypeCode == SysDicTypeConsts.JobType)
        {
            dicType = ["08dc39c1-a6db-46a9-8e08-9f284f827857", "作业类型"];
        }
        if (dicTypeCode == SysDicTypeConsts.BusinessUnitType)
        {
            dicType = ["08dc39c1-b8bd-412d-8ad3-293c035bd14d", "经营单位类别"];
        }
        if (dicTypeCode == SysDicTypeConsts.SnapshotBulletinType)
        {
            dicType = ["08dc0681-a6e1-473d-8b1d-1b0b67e0ec13", "随手拍公告类型"];
        }
        if (dicTypeCode == SysDicTypeConsts.SnapshotBulletinSource)
        {
            dicType = ["08dd060d-e27b-4786-879b-0469d6629d38", "随手拍公告来源"];
        }
        if (dicTypeCode == SysDicTypeConsts.SnapshotReplenishType)
        {
            dicType = ["08dd1f12-0e81-47dc-82d7-559e36a68e0d", "补充奖励类型"];
        }
        if (dicTypeCode == SysDicTypeConsts.XingTangOperationMap)
        {
            dicType = ["08dbefe5-1cc5-4069-8d69-33afd978f68d", "兴唐动作状态映射"];
        }
        if (dicTypeCode == SysDicTypeConsts.SnapshotRedPackSpecialType)
        {
            dicType = ["08dd4bf7-b7cd-471b-8729-73b3ceaae8f5", "随手拍特殊红包审批类型"];
        }

        return new SystemDicType
        {
            Id = dicType[0],
            DicTypeCode = dicTypeCode,
            DicTypeName = dicType[1]
        };
    }
}
